<div class="container kd-dialog-default">
  <p class="kd-register-title">Register</p>
  <hr>

  <form novalidate
        #regForm="ngForm"
        [formGroup]="registerForm"
        class="kd-register-form"
        (ngSubmit)="onSubmit()">
    <mat-dialog-content>
      <div class="form-group">
        <label for="email" class="form-check-label">Email</label>
        <input name="email" formControlName="email" type="email"
          class="form-control kd-register-input" email required>
        <mat-error *ngIf="email.dirty && email.errors?.required" class="kd-error">
          Email is required
        </mat-error>
        <mat-error *ngIf="email.dirty && email.errors?.email" class="kd-error">
          Email address is in incorrect format
        </mat-error>
      </div>
      <div class="form-group" [formGroup]="registerForm.controls.passwords">
        <label for="password" class="form-check-label">Password</label>
        <input name="password" formControlName="password" type="password"
          class="form-control kd-register-input" required>
          <mat-error *ngIf="password.dirty && password.errors?.required" class="kd-error">
            Password is required <br>
          </mat-error>
          <mat-error *ngIf="password.dirty && password.errors?.minlength" class="kd-error">
            Password must be at least 7 characters long <br>
          </mat-error>
          <!-- <mat-error *ngIf="password.dirty && password.errors?.lowerCaseError" class="kd-error">
            Password must contain at least one lower case <br>
          </mat-error>
          <mat-error *ngIf="password.dirty && password.errors?.upperCaseError" class="kd-error">
            Password must contain at least one upper case <br>
          </mat-error>
          <mat-error *ngIf="password.dirty && password.errors?.numberError" class="kd-error">
            Password must contain at least one number <br>
          </mat-error>
          <mat-error *ngIf="password.dirty && password.errors?.specialCharError" class="kd-error">
            Password must contain at least one special character !@#$%^&*+-_ <br>
          </mat-error> -->
      </div>
      <div class="form-group" [formGroup]="registerForm.controls.passwords">
        <label for="confirm-password" class="form-check-label">Confirm password</label>
        <input name="confirm-password" formControlName="confirmPassword" type="password"
          class="form-control kd-register-input" required>
          <mat-error *ngIf="confirmPassword.dirty && confirmPassword.errors?.required" class="kd-error">
            Confirmation password is required <br>
          </mat-error>
          <mat-error *ngIf="confirmPassword.dirty && registerForm.hasError('notMatching', 'passwords')">
            Passwords not matching
          </mat-error>
      </div>

      <div class="kd-div-top-spacer"></div>

      <div class="form-group">
        <label for="companyName" class="form-check-label">Company name</label>
        <input name="companyName" formControlName="companyName" type="text"
          class="form-control kd-register-input" required>
          <mat-error *ngIf="companyName.dirty && companyName.errors?.required" class="kd-error">
            Company name is required
          </mat-error>
      </div>

      <!-- <div class="form-group">
        <label for="companyInfo">Company info (optional)</label>
        <textarea name="companyInfo" formControlName="companyName" class="kd-register-input" cols="50">
        </textarea>
      </div> -->

      <div class="form-group">
        <label for="package">Package</label>
        <select name="package" formControlName="package" class="form-control kd-register-input">
          <option value="5">5</option>
          <option value="10">10</option>
          <option value="20">20</option>
          <option value="40">40</option>
          <option value="80">80</option>
          <option value="150">150</option>
          <option value="200">200</option>
          <option value="400">400</option>
          <option value="1000">1000</option>
        </select>
      </div>
      <mat-error *ngIf="package.dirty && package.errors?.required" class="kd-error">
        Package selection is required
      </mat-error>
    </mat-dialog-content>

    <div class="form-group form-row justify-content-center gn-button-margin">
      <button class="btn kd-btn-primary" type="submit" [disabled]="registerForm.invalid">Submit</button>
      <button class="btn kd-btn-danger" type="reset" (click)="onResetForm()">Reset</button>
    </div>
  </form>
</div>
